com.informix.jdbc

## Class Gsscsm

- java.lang.Object
- - com.informix.csm.crypto.IfxGssCsm
  - - com.informix.jdbc.Gsscsm

All Implemented Interfaces:
  IfxCsm

    public class Gsscsm
    extends IfxGssCsm

This class is just a wrapper to Encryption CSM class
com.informix.csm.crypto.IfxEncCsm
JDBC Programmers can use this classname to specify encryption
CSM class as
CSM=(classname=com.informix.jdbc.Crypto,.........)
By introducing this wrapper class we just make it easier for
JDBC programmer to remember name of encryption CSM
remembring "com.informix.jdbc.Crypto" is easier than
remembering "com.informix.csm.crypto.IfxEncCsm"

### Nested Class Summary

### Nested classes/interfaces inherited from interface com.informix.csm.IfxCsm

`IfxCsm.AbortInfo, IfxCsm.Credentials, IfxCsm.Status`

### Field Summary

### Fields inherited from interface com.informix.csm.IfxCsm

`CSM_AUTH_ERROR, CSM_AUTHENTICATION_ERROR, CSM_DISCONNECT, CSM_DONE, CSM_DONE_MORE_OUTPUT_AVAILABLE, CSM_ERROR, CSM_FILE_IO_ERROR, CSM_INTERNAL_PROCESSING_ERROR, CSM_INVALID_CONTEXT, CSM_INVALID_CTX_OPTIONS, CSM_INVALID_INIT_OPTIONS, CSM_MAX_ERROR, CSM_MEM_ALLOC_ERROR, CSM_MEM_FREE_ERROR, CSM_MIN_ERROR, CSM_MORE_INPUT_NEEDED, CSM_MSG_OF_UNEXPECTED_TYPE, CSM_NO_LOCAL_CREDENTIALS, CSM_PROTOCOL_ERROR, CSM_RECV_OK, CSM_SEND_OK, CSM_SENDTOPEER, CSM_SENDTOPEER_MORE_OUTPUT_AVAILABLE, CSM_UNSUPPORTED_FEATURE, FUNCFAIL, FUNCSUCC, INFORMIX_CSM_INTERFACE`

### Constructor Summary

Constructors
Constructor and Description
`Gsscsm(IfxCsmDescriptor csmdescr)`

### Method Summary

### Methods inherited from class com.informix.csm.crypto.IfxGssCsm

`getDescriptor, ifxCsmAbortContext, ifxCsmAcceptContext, ifxCsmCreateContext, ifxCsmGetAttributeFlags, ifxCsmInit, ifxCsmProcessInMessage, ifxCsmProcessOutMessage, ifxCsmReleaseContext, ifxCsmTerminate`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Gsscsm

    public Gsscsm(IfxCsmDescriptor csmdescr)
           throws IfxCsmException

Throws:
  `IfxCsmException`